@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@300;400;500;800&display=swap');

:root {
    --color-white: #ffffff;
    --color-black: #202020;
    --color-glass: rgba(255, 255, 255, 0.05);
    --color-shadow: 0 0 25px rgba(0, 0, 0, 0.5);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: var(--color-white);
    font-family: 'Kanit', sans-serif;
}

body {
    background-color: black;
}

.container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 1rem;
}

.heading {
    text-align: center;
    margin-bottom: 4em;
}

.heading h1 {
    text-shadow: var(--color-shadow);
    font-size: 6em;
    font-weight: 800;
    letter-spacing: 0.15em;
}

.heading h3 {
    font-size: 4rem;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    font-weight: 600;
    background-color: var(--color-glass);
    backdrop-filter: blur(12px);
    box-shadow: var(--color-shadow);
    padding: 8px 30px;
    display: inline-block;
}

.countdown {
    width: 95vw;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 10px;
}

.box {
    width: 28vmin;
    height: 29vmin;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    position: relative;
}

span.num {
    background-color: var(--color-glass);
    backdrop-filter: blur(12px);
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 4em;
    box-shadow: var(--color-shadow);
    border-radius: 0.1em;
}

span.num::after {
    content: "";
    position: absolute;
    background-color: var(--color-glass);
    height: 100%;
    width: 50%;
    left: 0;
}

span.text {
    font-size: 1em;
    background-color: var(--color-white);
    color: var(--color-black);
    display: block;
    width: 80%;
    position: relative;
    text-align: center;
    bottom: 20px;
    padding: 0.7em 0;
    font-weight: 600;
    border-radius: 0.3em;
    box-shadow: var(--color-shadow);
}

/* Responsive adjustments */
@media screen and (max-width: 768px) {
    .heading h1 {
        font-size: 4em;
    }

    .heading h3 {
        font-size: 2rem;
    }

    .countdown {
        flex-direction: column;
        align-items: center;
    }

    .box {
        width: 80vw;
        height: 25vmin;
        margin-bottom: 20px;
    }

    span.num {
        font-size: 3em;
    }

    span.text {
        font-size: 0.8em;
    }
}


